{% extends 'base.html.twig' %}

{% block title %}Liste Type Passage {% endblock %}

{% block body %}
    <h1></h1>
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_type_passage" url="{{ path('type_passage_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Ajouter nouveau"> Ajouter</span></button>
        </a>
    </td>
    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste Type de Passage</h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">

                <thead>
                <tr>

                    <th>Type de Passage en Français</th>
                    <th>Type de Passage en Arabe</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for type_passage in type_passages %}
                    <tr>

                        <td>{{ type_passage.libellePassageFr }}</td>
                        <td>{{ type_passage.libellePassageAr }}</td>
                        <td>
                            <ul class="list_act_ens">
                                <li>
                                    <a>
                                        <button class="btn btn-primary btn_info_type_passage"
                                                url="{{ path('type_passage_show', {'id': type_passage.id}) }}"><span
                                                    class="glyphicon glyphicon-info-sign" title="Détail"></span></button>
                                    </a>
                                </li>
                                <li>
                                    <a>
                                        <button class="btn btn-success btn_edit_type_passage"
                                                url="{{ path('type_passage_edit', {'id':type_passage.id}) }}"><span
                                                    class="glyphicon glyphicon-pencil" title="Modifier type de passage"></span>
                                        </button>
                                    </a>
                                </li>
                                <li>
                                    {{ include('type_passage/_delete_form.html.twig') }}</li>
                            </ul>
                        </td>
                    </tr>

                {% else %}
                    <tr>
                        <td colspan="4">Pas D'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>

            <div class="modal fade" id="modalPassage" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_type_passage">Ajouter Un type de
                                passage</h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>

                        </div>
                        <div class="modal-footer">

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block mesJavascripts %}

    <script>
        $('body').on('click', '.btn_new_type_passage', function (event) {
            $('#modalPassage').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_type_passage').html('Ajouter nouvelle type passage');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_edit_type_passage', function (event) {
            $('#modalPassage').modal('show');
            $('.content_modal_body').html('');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.load_modal_body').show();
            $('.titre_modal_type_passage').html('Modifier type passage');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_info_type_passage', function (event) {
            $('#modalPassage').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_type_passage').html('Info type passage');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
        $('body').on('click', '.btn_del_type_passage', function (event) {
            var name_type_passage = $(this).attr('name_type_passage');
            var id_type_passage = $(this).attr('id_type_passage');
            $('#modalPassage').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_type_passage').html('Supprimer type passage');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la type passage: <b>' + name_type_passage + '</b>');
            $('.modal-footer').html('<button type="button" class="btn btn-warning pull-right" data-dismiss="modal">Annuler</button><button type="button" class="btn btn-danger pull-right confirm_delete_type_passage" onclick="confirmer_delete_type_passage(' + id_type_passage + ')" data-dismiss="modal">Confirmer</button>');
        });

        function confirmer_delete_type_passage(id_type_passage) {
            $('#form_delete_type_passage_' + id_type_passage).submit();
        }

        $('body').on('click', '.save_type_passage', function (event) {

            var form = $('#form_add_type_passage');
            var formData = new FormData(document.getElementById("form_add_type_passage"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_type_passage').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalPassage').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.edit_type_passage', function (event) {

            var form = $('#form_add_type_passage');
            var formData = new FormData(document.getElementById("form_add_type_passage"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_type_passage').attr('disabled', true);

                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalPassage').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        //alert('erreur');
                    }
                }
            });

        });

        function supprimer_type_passage(name_type_passage) {
            $('#modalPassage').modal('show');
            $('.content_modal_body').html('');

            $('.titre_modal_type_passage').html('Supprimer type passage');

            $('.content_modal_body').html('Voulez-vous vraiment supprimer la type passage: ' + name_type_passage);
            return false;
        }
    </script>

{% endblock %}